package com.example.exolayout1;

import java.text.DecimalFormat;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.NumberPicker;

public class MainExoLayout1 extends Activity XXXXXXXXX {

	// A COMPLETER: déclare les champs privés nécessaires 
	

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_exo_layout1);
        poidsPicker = (NumberPicker) findViewById(R.id.np_poidsPicker);
        poidsPicker.setMaxValue(200);     
        poidsPicker.setMinValue(1);         
        poidsPicker.setWrapSelectorWheel(true);
        taillePicker = (NumberPicker) findViewById(R.id.np_taillePicker);
        taillePicker.setMaxValue(200);     
        taillePicker.setMinValue(1);         
        taillePicker.setWrapSelectorWheel(true);
        iconeIMC=(ImageView) findViewById(R.id.iv_iconeIMC);
        commentIMC =(TextView)findViewById(R.id.tv_commentIMC);
        
        
    // A COMPLETER:  l'enregistrement du handler du bouton de validation
  
    }


    // handler clic
	@Override
	public void XXXXXXXXXXX {
		int poids=this.poidsPicker.getValue();
		int taille=this.taillePicker.getValue();
		double imc=calculIMC(poids,taille);

		//A COMPLETER je récupere le layout et je commute l'attribut de visibilité

		DecimalFormat f = new DecimalFormat();
		f.setMaximumFractionDigits(1);
		String imcChaine=f.format(imc);
		String comment= "IMC: "+imcChaine;
		if (imc<18.5){ //maigreur
			this.iconeIMC.setImageResource(R.drawable.sad);
			comment=comment+" attention : etat de maigreur";
		}
		else {
				// A COMPLETER
			}
		this.commentIMC.setText(comment);
			
			
		
	}
	

	
	private XXXXXXX///A COMPLETER: méthode  calculIMC



    
}
